

%define framework ktexteditor
%define kf5texteditor_major 5
%define libkf5texteditor %mklibname kf5texteditor %{kf5texteditor_major}
%define kf5texteditor_devel %mklibname kf5texteditor -d

Summary:        KDE Frameworks 5 Tier 3 with advanced embeddable text editor
Name:           %{framework}
Version: 	5.33.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{framework}-%{version}.tar.xz
URL:            https://www.kde.org/
#general buildrequires
#------------------------------------------------------
BuildRequires: %{_lib}qt5base5-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5imageformats-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5qml-devel
BuildRequires: %{_lib}qt5quick-devel
BuildRequires: %{_lib}qt5bluetooth-devel
BuildRequires: %{_lib}qt5bootstrap-devel
BuildRequires: %{_lib}qt5clucene-devel
BuildRequires: %{_lib}qt5concurrent-devel
BuildRequires: %{_lib}qt5designer-devel
BuildRequires: %{_lib}qt5egldeviceintegration-devel
BuildRequires: %{_lib}qt5labstemplates-devel
BuildRequires: %{_lib}qt5location-devel
BuildRequires: %{_lib}qt5multimedia-devel
BuildRequires: %{_lib}qt5multimediaquick_p-devel
BuildRequires: %{_lib}qt5multimediawidgets-devel
BuildRequires: %{_lib}qt5nfc-devel
BuildRequires: %{_lib}qt5opengl-devel
BuildRequires: %{_lib}qt5platformsupport-devel
BuildRequires: %{_lib}qt5positioning-devel
BuildRequires: %{_lib}qt5printsupport-devel
BuildRequires: %{_lib}qt5qgsttools_p-devel
BuildRequires: %{_lib}qt5quickparticles-devel
BuildRequires: %{_lib}qt5quicktest-devel
BuildRequires: %{_lib}qt5quickwidgets-devel
BuildRequires: %{_lib}qt5script-devel
BuildRequires: %{_lib}qt5scripttools-devel
BuildRequires: %{_lib}qt5sensors-devel
BuildRequires: %{_lib}qt5serialport-devel
BuildRequires: %{_lib}qt5sql-devel
BuildRequires: %{_lib}qt5svg-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5waylandclient-devel
BuildRequires: %{_lib}qt5webchannel-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires:  karchive-devel >= 5.20.0
BuildRequires:  kconfig-devel >= 5.20.0
BuildRequires:  kguiaddons-devel >= 5.20.0
BuildRequires:  ki18n-devel >= 5.20.0
BuildRequires:  kcoreaddons-devel >= 5.20.0
BuildRequires:  kauth-devel >= 5.20.0
BuildRequires:  kcodecs-devel >= 5.20.0
BuildRequires:  kwidgetsaddons-devel >= 5.20.0
BuildRequires:  kconfigwidgets-devel >= 5.20.0
BuildRequires:  kitemviews-devel >= 5.20.0
BuildRequires:  kiconthemes-devel >= 5.20.0
BuildRequires:  kglobalaccel-devel >= 5.20.0
BuildRequires:  kcompletion-devel >= 5.20.0
BuildRequires:  kdbusaddons-devel >= 5.20.0
BuildRequires:  kservice-devel >= 5.20.0
BuildRequires:  kwindowsystem-devel >= 5.20.0
BuildRequires:  ktextwidgets-devel >= 5.20.0
BuildRequires:  kxmlgui-devel >= 5.20.0
BuildRequires:  kbookmarks-devel >= 5.20.0
BuildRequires:  kjobwidgets-devel >= 5.20.0
BuildRequires:  solid-devel >= 5.20.0
BuildRequires:  kio-devel >= 5.20.0
BuildRequires:  knotifications-devel >= 5.20.0
BuildRequires:  kparts-devel >= 5.20.0
BuildRequires:  sonnet-devel >= 5.20.0

%rename kf5-%{framework}

%description
KDE Frameworks 5 Tier 3 with advanced embeddable text editor

%files -f ktexteditor5.lang
%{_kf5_plugindir}/parts/katepart.so
%{_kf5_services}/katepart.desktop
%{_kf5_servicetypes}/*.desktop
%{_kf5_datadir}/katepart5/script
#--------------------------------------------------------------------
%{_kf5_libdir}/libKF5TextEditor.so.%{kf5texteditor_major}*
#--------------------------------------------------------------------

%package -n %kf5texteditor_devel

Summary:        Devel stuff for %framework
Group:          Development/Libraries
Requires:       %name = %version-%release
Provides:       %framework-devel = %{version}-%{release}

%description -n %kf5texteditor_devel
This package contains header files needed if you wish to build applications
based on %framework.

%files -n %kf5texteditor_devel
%{_kf5_libdir}/libKF5TextEditor.so
%{_kf5_libdir}/cmake/KF5TextEditor
%{_kf5_includedir}/ktexteditor_version.h
%{_kf5_includedir}/KTextEditor
%_qt5_prefix/mkspecs/modules/qt_KTextEditor.pri

#--------------------------------------------------------------------

%prep
%setup -q -n %framework-%version

%build
%cmake_kf5
%make

%install
rm -rf %buildroot
%makeinstall_std -C build
%find_lang %{framework}5



%changelog
* Thu May 01 2017 adrianomorselli <adrianomorselli> 5.33.0-1uplos2017
- update
